Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.mock.interceptor
Class MockFor

Facade over the Mocking details. A Mock's expectation is always sequence dependent and it's use always ends with a verify(). See also StubFor.

author:
  Dierk Koenig

author:
  Paul King

Field Summary
`Class` | `clazz`
`Demand` | `demand`
`def` | `expect`
`Map` | `instanceExpectations`
`MockProxyMetaClass` | `proxy`

Constructor Summary
`MockFor(Class clazz)`

Method Summary
`def` | `getInstance(Class clazz, def args)`
`Object` | `proxyDelegateInstance()`
`Object` | `proxyDelegateInstance(def args)`
`Object` | `proxyInstance()`
`Object` | `proxyInstance(def args)`
`void` | `use(Closure closure)`
`void` | `use(GroovyObject obj, Closure closure)`
`void` | `verify(GroovyObject obj)`

Constructor Detail

### MockFor

    public MockFor(Class clazz)

Method Detail

### getInstance

    def getInstance(Class clazz, def args)

### proxyDelegateInstance

    Object proxyDelegateInstance()

### proxyDelegateInstance

    Object proxyDelegateInstance(def args)

### proxyInstance

    Object proxyInstance()

### proxyInstance

    Object proxyInstance(def args)

### use

    void use(Closure closure)

### use

    void use(GroovyObject obj, Closure closure)

### verify

    void verify(GroovyObject obj)